GOLDED(1)

NAME
golded - offline message reader for Fidonet and Usenet

SYNOPSIS
golded [-options] [keystacking]

DESCRIPTION
This manual page documents briefly the command line parameters of GoldEd+ (binary file golded).

OPTIONS

-? or -H
    Displays a help screen with all available commandline options.

-C<configfile>
    Specifies another configuration file than the default GOLDED.CFG.

-D  Disable old configuration keywords. For backward compatibility, GoldED+ still supports a number of old names for some configuration keywords. I recommend that you use -D sometimes and rename the keywords that are reported as unknown.

-E<echoid>
    If specified, GoldED+ starts directly in the specified echo, bypassing the arealist screen. See the AREASTART configuration keyword for more info.

-EXPORTSOUP
    Calls the SOUP packet export feature during the startup phase. This is the same as starting it from the areascan SOUP Packet->Export menu item. The SOUP export happens immediately after the regular startup area scanning (if that is enabled) and after SOUP import.

-F  Force recompile of most configuration files, but not all. Does not recompile the *.CHS files.

-FF Force complete recompile of all configuration files, regardless of whether they are up-to-date or not. This is equivalent to deleting all the *.GE? files.

-INSTALL[=path]
    Start the quick install procedure. You should give a path to your other mail software if it cannot be found using environment variables or in current directory.

-IMPORTSOUP
    Calls the SOUP packet import feature during the startup phase. This is the same as starting it from the areascan SOUP Packet->Import menu item. The SOUP import happens immediately after the regular startup area scanning (if that is enabled).

-M  Mute sounds. Disables all noises in GoldED+.

-N  No share. If used, this prevents GoldED+ from using SHARE compatible file-open calls, which are used by default. Works only until the SHAREMODE keyword is used in GOLDED.CFG. This keyword is normally not useful, but may be used to debug your setup or something.

-NOSCAN
    Disable the automatic startup area scanning (if that is enabled). This is useful for automated SOUP import/export in a batch file. For example, -noscan -importsoup @x y imports SOUP then exits.

-Q  Quiet. Turns off verbose config compile. On by default. This could be used on the commandline to disable a -B -V option in the GEDCMD environment variable.

-S<sortspec>
    Sort all areas according to -IR <sortspec> . See the AREALISTSORT config keyword for details.

-T<seconds>
    Set the timeout value. A value of zero (0) means never timeout. See the TIMEOUT config keyword for details.

-V  Turns on verbose config compile. When used, GoldED+ will display the full filename of each main config file it compiles. It also displays the name of the detected multitasker, if any. This can be useful for debugging your setup, and see if GoldED+ accesses the files (especially the AREAFILE's) it is supposed to. -VV Same as -V, but also displays all the active lines while compiling. This could be used to find the exact spot if it crashes or stops while compiling.

-W  If used, GoldED+ will create (and overwrite if existing) the file GOLDAREA.INC, which will then contain all areas in the AREADEF form, sorted by your AREALISTSORT specification. This is very useful for converting your AREAFILE's to a form you can edit with your favorite text editor and use in GoldED+. It is also useful if you have used the new AREADESC keyword or the AREAFILE EchoList reader. The GOLDAREA.INC file (created in the GOLDPATH) can be used by adding INCLUDE GOLDAREA.INC to your GOLDED.CFG or GOLDAREA.CFG. When creating the file, GoldED+ will use . if an aka is the same as the main aka, and leave out the optional origin if it's the same as the first ORIGIN in your GOLDED.CFG. This makes it easier to share the same GOLDAREA.INC between different setups.

-X, -Y, -Z
    Reserved for debugging purposes.

COMMANDLINE KEYSTACKING
Any non-option characters on the commandline are stuffed into the keyboard buffer. See the chapter on keyboard definition and the KEYBSTACK keyword for more info.

ENVIRONMENT

GOLDED
    Path to the GOLDED.CFG file. It is recommended to set this variable, but don't forget to change it if you move your GoldED+ setup to a different directory!

GEDCMD
    Specifies additional commandline options. Use this if you want to specify options, but need to run GoldED without them (for example when renaming GOLDED.EXE to DBEDIT.EXE in older versions of D'Bridge). You can override the environment options with commandline options.

SEE ALSO
rddt(1), goldnode(1).

AUTHOR
GoldEd is copyright (C) 1990-1999 Odinn Sorensen

GoldEd+ is copyright (C) 1999-2001 Alexander S. Aganichev

This manual page was written by peter karlsson